Results 1 to 6 of 6

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Please give me advice on this question

  1. #1
    Default Please give me advice on this question
    Old.
    Last edited by computid; 2011-01-20 at 05:21 PM. Reason: Automerged Doublepost

  2. #2
    Livin the iPhone Life ALL DAY's Avatar
    Join Date
    Feb 2008
    Location
    Chit-Chat
    Posts
    2,274
    Thanks
    43
    Thanked 196 Times in 163 Posts

    No, you need a custom firmware for 2.2.1 that doesn't update your baseband so a software lock is still possible.
    Respect your elders.

  3. #3
    Retired Moderator bhz1's Avatar
    Join Date
    Sep 2007
    Location
    Southeastern Pennsylvania
    Posts
    2,528
    Thanks
    92
    Thanked 361 Times in 271 Posts

    If she is using a 2G iphone, the baseband will not update. She can upgrade to 2.2.1 and keep the unlock. It is for the 3G iphone that upgrading baseband is an issue for those wanting to keep an unlock.

  4. #4
    Livin the iPhone Life ALL DAY's Avatar
    Join Date
    Feb 2008
    Location
    Chit-Chat
    Posts
    2,274
    Thanks
    43
    Thanked 196 Times in 163 Posts

    Quote Originally Posted by bhz1 View Post
    If she is using a 2G iphone, the baseband will not update. She can upgrade to 2.2.1 and keep the unlock. It is for the 3G iphone that upgrading baseband is an issue for those wanting to keep an unlock.
    I know that... The way it was worded looked like she was talking about the 3G.
    Respect your elders.

  5. #5
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    Uhhh... no. Read it again. It clearly states "the friend" is on a low firmware "1.0.5 or something" and she wants to upgrade to 2.2.1. Since the iPhone 3G came with 2.0+ this would automatically mean she has a first generation iPhone. The reference to the iPhone 3G is the phone computid owns personally.

  6. #6
    Livin the iPhone Life ALL DAY's Avatar
    Join Date
    Feb 2008
    Location
    Chit-Chat
    Posts
    2,274
    Thanks
    43
    Thanked 196 Times in 163 Posts

    Quote Originally Posted by Poseidon79 View Post
    Uhhh... no. Read it again. It clearly states "the friend" is on a low firmware "1.0.5 or something" and she wants to upgrade to 2.2.1. Since the iPhone 3G came with 2.0+ this would automatically mean she has a first generation iPhone. The reference to the iPhone 3G is the phone computid owns personally.
    Thanks for clarifying since I didn't just state I interpreted that incorrectly the first time. -_-

    1.0.5 wasn't an iPhone firmware either, hence the confusion...
    Respect your elders.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •